Skip to content

Purchased plans​

GET
/users/plans

Gets plans that are available for a user (already purchased or allocated)

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Query Parameters

consumed

Filter by plans that have already been consumed by devices or not

Typeboolean
deviceId

Filter by device ID, multiple device IDs can be passed as a comma separated list

Typestring
consumedSince

Filter by consumedOn start date

Typestring
consumedUntil

Filter by consumedOn end date

Typestring
planId

Filter by plan id, multiple plan IDs can be passed as a comma separated list

Typeinteger
_limit

Limit for pagination, default 10, max 10000

Typeinteger
_page

Page for pagination

Typeinteger
_sort

Sort by this field

Typestring
_direction

Sort in this direction (asc, desc)

Typestring
_include

Include additional data

Typearray

Responses​

OK

application/json
JSON
{
"data": [
{
"consumedByDeviceId": 0,
"consumedOn": "string",
"creditRemainingDays": true,
"deviceId": 0,
"id": 0,
"needsPayment": true,
"orderId": 0,
"plan": {
"description": "string",
"displayName": "string",
"features": "string",
"id": 0,
"name": "string",
"onoWhitelistId": 0,
"prices": {
"eur": [
[
]
],
"gbp": [
[
]
],
"tax": "[Circular Reference]",
"usd": [
[
]
]
},
"sku": "string",
"sleepLimit": 0,
"wakeLimit": 0
},
"planId": 0,
"removedOn": "string",
"userId": 0
}
],
"limit": 0,
"page": 0,
"totalElements": 0,
"totalPages": 0
}

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python